kr.co.hanwha.hifive.admin.network.model

## Class AdminMemberHrInfo

- java.lang.Object
- - kr.co.hanwha.hifive.admin.network.model.AdminMemberHrInfo

    public class AdminMemberHrInfo
    extends java.lang.Object

Created by sanghoonkwon on 2018. 3. 9..

### Field Summary

Fields
`(package private) java.lang.String` `company`
`(package private) boolean` `deleted`
`(package private) java.lang.String` `department`
`(package private) int` `id`
`(package private) java.lang.String` `name`
`(package private) int` `status` 0: 정상, 10: 신규 등록 대기, 20: 삭제, 30: 이용 중지

### Constructor Summary

Constructors
Constructor and Description
`AdminMemberHrInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCompany()`
`java.lang.String` `getDepartment()`
`int` `getId()`
`java.lang.String` `getName()`
`int` `getStatus()`
`boolean` `isDeleted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    int id

#### name

    java.lang.String name

#### company

    java.lang.String company

#### department

    java.lang.String department

#### status

    int status

0: 정상, 10: 신규 등록 대기, 20: 삭제, 30: 이용 중지

See Also:
  `MemberStatusCode`

#### deleted

    boolean deleted

### Constructor Detail

#### AdminMemberHrInfo

    public AdminMemberHrInfo()

### Method Detail

#### getId

    public int getId()

#### getName

    public java.lang.String getName()

#### getCompany

    public java.lang.String getCompany()

#### getDepartment

    public java.lang.String getDepartment()

#### getStatus

    public int getStatus()

#### isDeleted

    public boolean isDeleted()